Subject: Re: [PATCH] IPVS: Move userspace definitions to include/linux/ip_vs.h

From: Simon Horman <[email-masked]>
Date: Wed, 9 Jul 2008 11:11:12 +1000

On Tue, Jul 08, 2008 at 04:29:56PM +0200, Julius Volz wrote:
> Current versions of ipvsadm include "/usr/src/linux/include/net/ip_vs.h"
> directly. This file also contains kernel-only definitions. Normally, public
> definitions should live in include/linux, so this patch moves the
> definitions shared with userspace to a new file, "include/linux/ip_vs.h".
> 
> To make old ipvsadms still compile with this, the old header file includes
> the new one.
> 
> The motivation for this cleanup is the planned Netlink interface for IPVS.

Hi Julius,

Firstly these changes look fine: Acked

Secondly, What are your plans for ipvsadm? Do you think that a fork will
be neccessasry to utilise the netlink interface? Or even a new tool with
a completely new name?

-- 
Horms